<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('Edit Advertise Form') }}
        </h2>
    </x-slot>
    <div class="py-12">  
      <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
          <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
           <div class="p-6 bg-white border-b border-gray-200">
    <div class="container mt-2">
        <div class="row">
            <div class="col-lg-12 margin-tb">
                <div class="pull-left mb-2">
                    <h4>Edit Advertise</h4>
                </div>
                <div class="pull-right">
                    <a class="btn btn-primary" href="{{ route('advertises.index') }}"> Back</a>
                </div>
            </div>
        </div>
            @if(session('status'))
                <div class="alert alert-success mb-1 mt-1">
            {{ session('status') }}
            </div>
            @endif
            <form action="{{ route('advertises.update',$advertise->id) }}" method="POST" enctype="multipart/form-data">
            @csrf
            @method('PUT')
            <div class="row">
                
            <div class=" col-md-8 form-group row px-4">
                    <input type="hidden" name="prev_img" value="{{ $advertise->image_url }}" >
                    <strong>Advertise Title:</strong>
                    <input type="text" name="title" value="{{ $advertise->title }}" class="form-control" placeholder="Advertise Title" >
                    @error('name')
                    <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                    @enderror
            </div>
            <div class=" col-md-8 form-group row px-4">
                    <strong>Advertise Image:</strong>
                    <input type="file" name="image_url" class="form-control" placeholder="Advertise image" value="{{ $advertise->image_url }}">
                    <div class=" col-md-6">
                        <img src="{{url('/images/'.$advertise->image_url)}}" alt="" title="" style="width: 200px;height: 200px; border: 1px solid #ddd; margin: 5px;}">
                    </div>
                    @error('image_url')
                    <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                    @enderror 
            </div>
            <div class="col-md-8 form-group row px-4">    
                <strong>Advertise Link:</strong>
                <input type="text" name="link" value="{{ $advertise->link }}" class="form-control" placeholder="Advertise Link">
                @error('link')
                <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                @enderror
            </div>
            <div class=" col-md-8 form-group row px-4">
            <strong>Description:</strong> 
                <textarea id="desciprtion" name="desciprtion" rows="4" cols="50" required>
                {{ $advertise->desciprtion }}
                </textarea>
                @error('desciprtion')
                <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                @enderror
            </div>
            <div class="col-md-8">
                <button type="submit" class=" inline-flex items-center px-4 py-2 bg-gray-800 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-gray-700 active:bg-gray-900 focus:outline-none focus:border-gray-900 focus:ring ring-gray-300 disabled:opacity-25 transition ease-in-out duration-150">Update</button>
            </div>
            </div>
            </form>
    </div>
    </div></div></div></div>
    </x-app-layout>