<x-app-layout>
@extends('comment.layout')
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('Comment Listing') }}
        </h2>
    </x-slot>
    <div class="py-12">  
      <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
          <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
           <div class="p-6 bg-white border-b border-gray-200">
    
   
    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif
   
    <table class="table table-bordered">
        <tr>
            <th>No</th>
            <th>Comment Description</th>
            <th>Commented By</th>
            <th>Created On</th>
            <th>Updated On</th>
            <th width="280px">Action</th>
        </tr>
        @if (isset($comment))
        @foreach ($comment as $newcomment)
        <tr>
            <td>{{ ++$i }}</td>
            <td>{{ $newcomment->comment_text }}</td>
            <td>{{ $newcomment->name }}</td>
            <td>{{ $newcomment->created_at }}</td>
            <td>{{ $newcomment->updated_at }}</td>
            
            <td>
                <form action="{{ route('comment.destroy',$newcomment->id) }}" method="POST">   
                    <a class="btn btn-info btn-sm" href="{{ route('comment.show',$newcomment->id) }}"><i class="fa fa-eye"></i> View</a>    
                    <!-- <a class="btn btn-primary" href="{{ route('comment.edit',$newcomment->id) }}">Edit</a> -->
                    @csrf
                    @method('DELETE')      
                    <button type="submit" class="btn btn-danger btn-sm"><i class="fa fa-trash"></i>Delete</button>
                </form>
            </td>
        </tr>
        @endforeach
        @endif
        @if (!isset($comment))
        <tr>
            <td>No Comment available</td>
        </tr>
        @endif
    </table>
    </div></div></div>
    {!! $comment->links() !!}
    </div>
</x-app-layout>
